OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.NV.PresentVideo

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the NV_present_video extension, see http://www.opengl.org/registry/specs/NV/present_video.txt.

Synopsis

- glPresentFrameKeyed :: GLuint -> GLuint64 -> GLuint -> GLuint -> GLenum -> GLenum -> GLuint -> GLuint -> GLenum -> GLuint -> GLuint -> IO ()
- glPresentFrameDualFill :: GLuint -> GLuint64 -> GLuint -> GLuint -> GLenum -> GLenum -> GLuint -> GLenum -> GLuint -> GLenum -> GLuint -> GLenum -> GLuint -> IO ()
- glGetVideoiv :: GLuint -> GLenum -> Ptr GLint -> IO ()
- glGetVideouiv :: GLuint -> GLenum -> Ptr GLuint -> IO ()
- glGetVideoi64v :: GLuint -> GLenum -> Ptr GLint64 -> IO ()
- glGetVideoui64v :: GLuint -> GLenum -> Ptr GLuint64 -> IO ()
- gl_FRAME :: GLenum
- gl_FIELDS :: GLenum
- gl_CURRENT_TIME :: GLenum
- gl_NUM_FILL_STREAMS :: GLenum
- gl_PRESENT_TIME :: GLenum
- gl_PRESENT_DURATION :: GLenum

# Functions

glPresentFrameKeyed :: GLuint -> GLuint64 -> GLuint -> GLuint -> GLenum -> GLenum -> GLuint -> GLuint -> GLenum -> GLuint -> GLuint -> IO ()Source

glPresentFrameDualFill :: GLuint -> GLuint64 -> GLuint -> GLuint -> GLenum -> GLenum -> GLuint -> GLenum -> GLuint -> GLenum -> GLuint -> GLenum -> GLuint -> IO ()Source

glGetVideoiv :: GLuint -> GLenum -> Ptr GLint -> IO ()Source

glGetVideouiv :: GLuint -> GLenum -> Ptr GLuint -> IO ()Source

glGetVideoi64v :: GLuint -> GLenum -> Ptr GLint64 -> IO ()Source

glGetVideoui64v :: GLuint -> GLenum -> Ptr GLuint64 -> IO ()Source

# Tokens

gl_FRAME :: GLenum Source

gl_FIELDS :: GLenum Source

gl_CURRENT_TIME :: GLenum Source

gl_NUM_FILL_STREAMS :: GLenum Source

gl_PRESENT_TIME :: GLenum Source

gl_PRESENT_DURATION :: GLenum Source